> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuraltrust.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a backend

> Returns a single backend by id.



## OpenAPI

````yaml /trustgate/api/openapi.json get /v1/gateways/{gateway_id}/registries/{id}
openapi: 3.0.0
info:
  description: >-
    Administrative API for managing gateways and their registries, policies,
    consumers, roles and auth credentials.
  title: TrustGate Admin API
  contact:
    name: NeuralTrust
    url: https://neuraltrust.ai/contact
    email: support@neuraltrust.ai
  version: '1.0'
servers:
  - url: https://agentgateway-admin.dev.neuraltrust.ai
    description: Admin API
security: []
paths:
  /v1/gateways/{gateway_id}/registries/{id}:
    get:
      tags:
        - registries
      summary: Get a backend
      description: Returns a single backend by id.
      parameters:
        - description: Gateway id
          name: gateway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - description: Registry id
          name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.RegistryResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody
      security:
        - BearerAuth: []
components:
  schemas:
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.RegistryResponse:
      type: object
      properties:
        auth:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.TargetAuthResponse
        created_at:
          type: string
        description:
          type: string
        enabled:
          type: boolean
        gateway_id:
          type: string
        health_checks:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.HealthChecksResponse
        id:
          type: string
        mcp_target:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.MCPTargetResponse
        name:
          type: string
        provider:
          type: string
        provider_options:
          type: object
          additionalProperties: {}
        type:
          type: string
        updated_at:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_helpers.ErrorBody:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.TargetAuthResponse:
      type: object
      properties:
        api_key:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.APIKeyAuthResponse
        aws:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.AWSAuthResponse
        azure:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.AzureAuthResponse
        gcp_service_account:
          type: string
        oauth:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.TargetOAuthConfigResponse
        type:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.HealthChecksResponse:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
        interval:
          type: integer
        passive:
          type: boolean
        path:
          type: string
        threshold:
          type: integer
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.MCPTargetResponse:
      type: object
      properties:
        auth:
          $ref: >-
            #/components/schemas/github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.MCPAuthResponse
        code:
          type: string
        headers:
          type: object
          additionalProperties:
            type: string
        transport:
          type: string
        url:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.APIKeyAuthResponse:
      type: object
      properties:
        api_key:
          description: '#nosec G117'
          type: string
        header_name:
          type: string
        header_value:
          type: string
        param_location:
          type: string
        param_name:
          type: string
        param_value:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.AWSAuthResponse:
      type: object
      properties:
        access_key_id:
          type: string
        region:
          type: string
        role:
          type: string
        secret_access_key:
          description: '#nosec G117'
          type: string
        session_token:
          description: '#nosec G117'
          type: string
        use_role:
          type: boolean
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.AzureAuthResponse:
      type: object
      properties:
        api_key:
          description: '#nosec G117'
          type: string
        client_id:
          type: string
        client_secret:
          description: '#nosec G117'
          type: string
        endpoint:
          type: string
        tenant_id:
          type: string
        use_managed_identity:
          type: boolean
        version:
          type: string
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.TargetOAuthConfigResponse:
      type: object
      properties:
        audience:
          type: string
        client_id:
          type: string
        client_secret:
          description: '#nosec G117'
          type: string
        extra:
          type: object
          additionalProperties:
            type: string
        grant_type:
          type: string
        refresh_token:
          description: '#nosec G117'
          type: string
        scopes:
          type: array
          items:
            type: string
        token_url:
          type: string
        use_basic_auth:
          type: boolean
    github_com_NeuralTrust_TrustGate_pkg_api_handler_http_registry_response.MCPAuthResponse:
      type: object
      properties:
        actor:
          type: string
        audience:
          type: string
        authorize_url:
          type: string
        client_id:
          type: string
        client_secret:
          description: '#nosec G117 -- masked before serialization'
          type: string
        expected_audience:
          type: string
        header:
          type: string
        mode:
          type: string
        pattern:
          type: string
        provider:
          type: string
        registration:
          type: string
        resource:
          type: string
        scope:
          type: string
        scopes:
          type: array
          items:
            type: string
        token_url:
          type: string
        value:
          description: '#nosec G117 -- masked before serialization'
          type: string
  securitySchemes:
    BearerAuth:
      type: apiKey
      name: Authorization
      in: header

````